/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.sapics.client.gui;

import java.awt.BorderLayout;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.sapics.client.eof.model.EOArticle;
import org.cocktail.sapics.client.eof.model.EOArticleMarche;
import org.cocktail.sapics.client.eof.model.EOAttributionCatalogue;
import org.cocktail.sapics.client.eof.model.EOCatalogue;
import org.cocktail.sapics.client.eof.model.EOCatalogueArticle;
import org.cocktail.sapics.client.eof.model.EOCatalogueArticleOpt;
import org.cocktail.sapics.client.eof.model.EOFournis;
import org.cocktail.sapics.client.eof.model.EOTypeEtat;
import org.cocktail.sapics.client.swing.TableSorter;
import org.cocktail.sapics.client.swing.ZEOTable;
import org.cocktail.sapics.client.swing.ZEOTableCellRenderer;
import org.cocktail.sapics.client.swing.ZEOTableModel;
import org.cocktail.sapics.client.swing.ZEOTableModelColumn;
import org.cocktail.sapics.client.utilities.CocktailConstantes;

import com.webobjects.eointerface.EODisplayGroup;

/**
 *
 * @author  cpinsard
 */
public class AttributionCatalogueView extends javax.swing.JPanel {

	/**
	 * 
	 */
	private static final long serialVersionUID = 4479567665792947893L;

	protected EODisplayGroup eodCatalogues, eodArticles, eodOptions;

	protected ZEOTable myEOTableCatalogues, myEOTableArticles, myEOTableOptions;
	protected ZEOTableModel myTableModelCatalogues, myTableModelArticles, myTableModelOptions  ;
	protected TableSorter myTableSorterCatalogues, myTableSorterArticles, myTableSorterOptions ;

	ZEOTableCellRenderer myRenderer;

	/** Creates new form TemplateJPanel */
	public AttributionCatalogueView(EODisplayGroup dgCatalogues, EODisplayGroup dgArticles, EODisplayGroup dgOptions, ZEOTableCellRenderer renderer) {

		eodCatalogues = dgCatalogues;
		eodArticles = dgArticles;
		eodOptions = dgOptions;

		myRenderer = renderer;
		
		initComponents();
		initGui();

	}


	/** This method is called from within the constructor to
	 * initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is
	 * always regenerated by the Form Editor.
	 */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        viewCatalogues = new javax.swing.JPanel();
        btnAddCatalogue = new javax.swing.JButton();
        viewArticles = new javax.swing.JPanel();
        viewOptions = new javax.swing.JPanel();
        btnUpdateCatalogue1 = new javax.swing.JButton();
        btnDelCatalogue = new javax.swing.JButton();
        btnUpdateArticle = new javax.swing.JButton();
        btnDelArticle = new javax.swing.JButton();
        btnAddArticle = new javax.swing.JButton();
        btnUpdateOption = new javax.swing.JButton();
        btnDelOption = new javax.swing.JButton();
        btnAddOption = new javax.swing.JButton();
        btnSelectCatalogue = new javax.swing.JButton();
        btnImport = new javax.swing.JButton();
        tfLibelleArticle = new javax.swing.JTextField();
        lblArticles = new javax.swing.JLabel();

        viewCatalogues.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        viewCatalogues.setLayout(new java.awt.BorderLayout());

        btnAddCatalogue.setToolTipText("Ajout d'un nouveau catalogue");

        viewArticles.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        viewArticles.setLayout(new java.awt.BorderLayout());

        viewOptions.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        viewOptions.setLayout(new java.awt.BorderLayout());

        btnUpdateCatalogue1.setToolTipText("Modification du catalogue sélectionné");

        btnDelCatalogue.setToolTipText("Suppression du catalogue sélectionné");

        btnUpdateArticle.setToolTipText("Modification de l'article sélectionné");

        btnDelArticle.setToolTipText("Suppression de l'article sélectionné");

        btnAddArticle.setToolTipText("Ajout d'un nouvel article");

        btnUpdateOption.setToolTipText("Modification de l'option sélectionnée");

        btnDelOption.setToolTipText("Suppression de l'option sélectionnée");

        btnAddOption.setToolTipText("Ajout d'une nouvelle option");

        btnSelectCatalogue.setToolTipText("Sélection d'un catalogue");

        btnImport.setToolTipText("Import d'articles / options");

        tfLibelleArticle.setToolTipText("Recherche sur le libellé de l'article");

        lblArticles.setForeground(CocktailConstantes.BG_COLOR_BLUE);
        lblArticles.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        lblArticles.setText("jLabel1");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createSequentialGroup()
                                .addContainerGap()
                                .add(viewArticles, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 613, Short.MAX_VALUE))
                            .add(layout.createSequentialGroup()
                                .addContainerGap()
                                .add(viewCatalogues, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 613, Short.MAX_VALUE))
                            .add(layout.createSequentialGroup()
                                .add(14, 14, 14)
                                .add(viewOptions, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 609, Short.MAX_VALUE))
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                .addContainerGap()
                                .add(lblArticles, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 314, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                .add(btnDelOption, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                    .add(btnAddOption, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(btnUpdateOption, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                        .add(btnDelCatalogue, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                            .add(btnAddCatalogue, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                            .add(btnUpdateCatalogue1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                                    .add(btnSelectCatalogue, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                .add(btnDelArticle, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                    .add(btnAddArticle, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(btnUpdateArticle, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                .add(btnImport, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                    .add(layout.createSequentialGroup()
                        .addContainerGap()
                        .add(tfLibelleArticle, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 176, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(btnAddCatalogue, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnUpdateCatalogue1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnDelCatalogue, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnSelectCatalogue, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(viewCatalogues, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 108, Short.MAX_VALUE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfLibelleArticle, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(viewArticles, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 177, Short.MAX_VALUE)
                        .add(1, 1, 1)
                        .add(lblArticles)
                        .add(6, 6, 6))
                    .add(layout.createSequentialGroup()
                        .add(btnAddArticle, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnUpdateArticle, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnDelArticle, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(14, 14, 14)
                        .add(btnImport, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewOptions, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 100, Short.MAX_VALUE)
                    .add(layout.createSequentialGroup()
                        .add(btnAddOption, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnUpdateOption, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnDelOption, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
    }// </editor-fold>//GEN-END:initComponents


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAddArticle;
    private javax.swing.JButton btnAddCatalogue;
    private javax.swing.JButton btnAddOption;
    private javax.swing.JButton btnDelArticle;
    private javax.swing.JButton btnDelCatalogue;
    private javax.swing.JButton btnDelOption;
    private javax.swing.JButton btnImport;
    private javax.swing.JButton btnSelectCatalogue;
    private javax.swing.JButton btnUpdateArticle;
    private javax.swing.JButton btnUpdateCatalogue1;
    private javax.swing.JButton btnUpdateOption;
    private javax.swing.JLabel lblArticles;
    private javax.swing.JTextField tfLibelleArticle;
    protected javax.swing.JPanel viewArticles;
    protected javax.swing.JPanel viewCatalogues;
    protected javax.swing.JPanel viewOptions;
    // End of variables declaration//GEN-END:variables




	private void initGui() {

		btnAddCatalogue.setIcon(CocktailConstantes.ICON_ADD);
		btnUpdateCatalogue1.setIcon(CocktailConstantes.ICON_UPDATE);
		btnDelCatalogue.setIcon(CocktailConstantes.ICON_DELETE);
		
		btnAddArticle.setIcon(CocktailConstantes.ICON_ADD);
		btnUpdateArticle.setIcon(CocktailConstantes.ICON_UPDATE);
		btnDelArticle.setIcon(CocktailConstantes.ICON_DELETE);

		btnAddOption.setIcon(CocktailConstantes.ICON_ADD);
		btnUpdateOption.setIcon(CocktailConstantes.ICON_UPDATE);
		btnDelOption.setIcon(CocktailConstantes.ICON_DELETE);

		btnImport.setIcon(CocktailConstantes.ICON_DOWNLOAD_16);

		btnSelectCatalogue.setIcon(CocktailConstantes.ICON_SELECT_16);

		Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();

		ZEOTableModelColumn col = new ZEOTableModelColumn(eodCatalogues, EOAttributionCatalogue.CATALOGUE_KEY+"."+EOCatalogue.CAT_LIBELLE_KEY, "CATALOGUES", 400);
		col.setAlignment(SwingConstants.LEFT);
		col.setTableCellRenderer(myRenderer);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodCatalogues, EOAttributionCatalogue.CATALOGUE_KEY+"."+EOCatalogue.FOURNIS_KEY+"."+EOFournis.NOM_COMPLET_KEY, "Fournisseur", 75);
		col.setAlignment(SwingConstants.LEFT);
		col.setTableCellRenderer(myRenderer);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodCatalogues, EOAttributionCatalogue.CATALOGUE_KEY+"."+EOCatalogue.CAT_DATE_DEBUT_KEY, "Début", 75);
		col.setAlignment(SwingConstants.CENTER);
		col.setTableCellRenderer(myRenderer);
		col.setFormatDisplay((DateFormat)new SimpleDateFormat("dd/MM/yyyy"));
		myCols.add(col);
		col = new ZEOTableModelColumn(eodCatalogues, EOAttributionCatalogue.CATALOGUE_KEY+"."+EOCatalogue.CAT_DATE_FIN_KEY, "Fin", 75);
		col.setAlignment(SwingConstants.CENTER);
		col.setTableCellRenderer(myRenderer);
		col.setFormatDisplay((DateFormat)new SimpleDateFormat("dd/MM/yyyy"));
		myCols.add(col);
		col = new ZEOTableModelColumn(eodCatalogues, EOAttributionCatalogue.CATALOGUE_KEY+"."+EOCatalogue.TYPE_ETAT_KEY+"."+EOTypeEtat.TYET_LIBELLE_KEY, "Val", 75);
		col.setAlignment(SwingConstants.CENTER);
		col.setTableCellRenderer(myRenderer);
		myCols.add(col);

		myTableModelCatalogues = new ZEOTableModel(eodCatalogues, myCols);
		myTableSorterCatalogues = new TableSorter(myTableModelCatalogues);

		myEOTableCatalogues = new ZEOTable(myTableSorterCatalogues);
		//myEOTableNuits.addListener(myListenerContrat);
		myTableSorterCatalogues.setTableHeader(myEOTableCatalogues.getTableHeader());		

		myEOTableCatalogues.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTableCatalogues.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableCatalogues.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);

		viewCatalogues.setLayout(new BorderLayout());
		viewCatalogues.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewCatalogues.removeAll();
		viewCatalogues.add(new JScrollPane(myEOTableCatalogues), BorderLayout.CENTER);

		myCols = new Vector<ZEOTableModelColumn>();

		col = new ZEOTableModelColumn(eodArticles, EOCatalogueArticle.CAAR_REFERENCE_KEY, "Référence", 150);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodArticles, EOCatalogueArticle.ARTICLE_KEY+"."+EOArticle.ART_LIBELLE_KEY, "ARTICLES", 350);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodArticles, EOCatalogueArticle.CAAR_PRIX_HT_KEY, "Prix HT", 75);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodArticles, EOCatalogueArticle.CAAR_PRIX_TTC_KEY, "Prix TTC", 75);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodArticles, EOCatalogueArticle.ARTICLE_KEY+"."+EOArticle.ARTICLES_MARCHE_KEY+"."+EOArticleMarche.ARTM_QTE_CONTROLE_KEY, "Qté", 40);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodArticles, EOCatalogueArticle.ARTICLE_KEY+"."+EOArticle.ARTICLES_MARCHE_KEY+"."+EOArticleMarche.ARTM_LIVRAISON_KEY, "Livraison", 40);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodArticles, EOCatalogueArticle.ARTICLE_KEY+"."+EOArticle.ARTICLES_MARCHE_KEY+"."+EOArticleMarche.ARTM_GARANTIE_KEY, "Garantie", 40);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);

		myTableModelArticles = new ZEOTableModel(eodArticles, myCols);
		myTableSorterArticles = new TableSorter(myTableModelArticles);

		myEOTableArticles = new ZEOTable(myTableSorterArticles);
		//myEOTableNuits.addListener(myListenerContrat);
		myTableSorterArticles.setTableHeader(myEOTableArticles.getTableHeader());		

		myEOTableArticles.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTableArticles.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableArticles.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);

		viewArticles.setLayout(new BorderLayout());
		viewArticles.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewArticles.removeAll();
		viewArticles.add(new JScrollPane(myEOTableArticles), BorderLayout.CENTER);

		
		
		myCols = new Vector<ZEOTableModelColumn>();

		col = new ZEOTableModelColumn(eodOptions, EOCatalogueArticleOpt.CAAR_REFERENCE_KEY, "Référence", 150);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodOptions, EOCatalogueArticleOpt.ARTICLE_KEY+"."+EOArticle.ART_LIBELLE_KEY, "Options", 350);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodOptions, EOCatalogueArticleOpt.CAAR_PRIX_HT_KEY, "Prix HT", 75);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodOptions, EOCatalogueArticle.CAAR_PRIX_TTC_KEY, "Prix TTC", 75);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodOptions, EOCatalogueArticle.ARTICLE_KEY+"."+EOArticle.ARTICLES_MARCHE_KEY+"."+EOArticleMarche.ARTM_QTE_CONTROLE_KEY, "Qté", 40);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodOptions, EOCatalogueArticle.ARTICLE_KEY+"."+EOArticle.ARTICLES_MARCHE_KEY+"."+EOArticleMarche.ARTM_LIVRAISON_KEY, "Livraison", 40);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodOptions, EOCatalogueArticle.ARTICLE_KEY+"."+EOArticle.ARTICLES_MARCHE_KEY+"."+EOArticleMarche.ARTM_GARANTIE_KEY, "Garantie", 40);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);

		myTableModelOptions = new ZEOTableModel(eodOptions, myCols);
		myTableSorterOptions = new TableSorter(myTableModelOptions);

		myEOTableOptions = new ZEOTable(myTableSorterOptions);
		//myEOTableNuits.addListener(myListenerContrat);
		myTableSorterOptions.setTableHeader(myEOTableOptions.getTableHeader());		

		myEOTableOptions.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTableOptions.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableOptions.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);

		viewOptions.setLayout(new BorderLayout());
		viewOptions.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewOptions.removeAll();
		viewOptions.add(new JScrollPane(myEOTableOptions), BorderLayout.CENTER);

	}


	public ZEOTable getMyEOTableCatalogues() {
		return myEOTableCatalogues;
	}


	public void setMyEOTableCatalogues(ZEOTable myEOTableCatalogues) {
		this.myEOTableCatalogues = myEOTableCatalogues;
	}


	public ZEOTable getMyEOTableArticles() {
		return myEOTableArticles;
	}


	public void setMyEOTableArticles(ZEOTable myEOTableArticles) {
		this.myEOTableArticles = myEOTableArticles;
	}


	public ZEOTable getMyEOTableOptions() {
		return myEOTableOptions;
	}


	public void setMyEOTableOptions(ZEOTable myEOTableOptions) {
		this.myEOTableOptions = myEOTableOptions;
	}


	public javax.swing.JButton getBtnAddArticle() {
		return btnAddArticle;
	}


	public void setBtnAddArticle(javax.swing.JButton btnAddArticle) {
		this.btnAddArticle = btnAddArticle;
	}


	public javax.swing.JButton getBtnAddCatalogue() {
		return btnAddCatalogue;
	}


	public void setBtnAddCatalogue(javax.swing.JButton btnAddCatalogue) {
		this.btnAddCatalogue = btnAddCatalogue;
	}


	public javax.swing.JButton getBtnAddOption() {
		return btnAddOption;
	}


	public void setBtnAddOption(javax.swing.JButton btnAddOption) {
		this.btnAddOption = btnAddOption;
	}


	public javax.swing.JButton getBtnDelArticle() {
		return btnDelArticle;
	}


	public javax.swing.JLabel getLblArticles() {
		return lblArticles;
	}


	public void setLblArticles(javax.swing.JLabel lblArticles) {
		this.lblArticles = lblArticles;
	}


	public void setBtnDelArticle(javax.swing.JButton btnDelArticle) {
		this.btnDelArticle = btnDelArticle;
	}


	public javax.swing.JButton getBtnDelCatalogue() {
		return btnDelCatalogue;
	}


	public void setBtnDelCatalogue(javax.swing.JButton btnDelCatalogue) {
		this.btnDelCatalogue = btnDelCatalogue;
	}


	public javax.swing.JButton getBtnDelOption() {
		return btnDelOption;
	}


	public javax.swing.JButton getBtnSelectCatalogue() {
		return btnSelectCatalogue;
	}


	
	
	public javax.swing.JButton getBtnImport() {
		return btnImport;
	}


	public void setBtnImport(javax.swing.JButton btnImport) {
		this.btnImport = btnImport;
	}


	public void setBtnSelectCatalogue(javax.swing.JButton btnSelectCatalogue) {
		this.btnSelectCatalogue = btnSelectCatalogue;
	}


	public void setBtnDelOption(javax.swing.JButton btnDelOption) {
		this.btnDelOption = btnDelOption;
	}


	public javax.swing.JButton getBtnUpdateArticle() {
		return btnUpdateArticle;
	}


	public void setBtnUpdateArticle(javax.swing.JButton btnUpdateArticle) {
		this.btnUpdateArticle = btnUpdateArticle;
	}


	public javax.swing.JButton getBtnUpdateCatalogue1() {
		return btnUpdateCatalogue1;
	}


	public void setBtnUpdateCatalogue1(javax.swing.JButton btnUpdateCatalogue1) {
		this.btnUpdateCatalogue1 = btnUpdateCatalogue1;
	}


	public javax.swing.JButton getBtnUpdateOption() {
		return btnUpdateOption;
	}


	public javax.swing.JTextField getTfLibelleArticle() {
		return tfLibelleArticle;
	}


	public void setTfLibelleArticle(javax.swing.JTextField tfLibelleArticle) {
		this.tfLibelleArticle = tfLibelleArticle;
	}


	public void setBtnUpdateOption(javax.swing.JButton btnUpdateOption) {
		this.btnUpdateOption = btnUpdateOption;
	}



}

